<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="338dp"
    android:layout_height="299dp"
    android:background="@drawable/xinrui_radius_white_3dp"
    android:layout_gravity="center"
    >

    <LinearLayout

        android:id="@+id/ll_1"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/rl1"
            android:layout_width="match_parent"
            android:layout_height="60dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:gravity="center"
                android:text="@string/xinrui_account_login"
                android:textColor="@color/xinrui_title_text_color"
                android:textSize="20sp" />

        </RelativeLayout>


        <RelativeLayout
            android:id="@+id/rl_1"
            android:layout_width="270dp"
            android:layout_height="40dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="5dp">

            <EditText
                android:id="@+id/reg_account_edit"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignParentStart="true"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:background="@drawable/xinrui_edittext_bg"
                android:digits="0123456789abcdefghijgklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
                android:drawableLeft="@mipmap/xinrui_account_icon"
                android:drawablePadding="10dp"
                android:gravity="center_vertical"
                android:hint="@string/xinrui_input_account_pls"
                android:maxLength="20"
                android:paddingLeft="10dp"
                android:textColorHint="@color/xinrui_deepgrey"
                android:textSize="16sp" />


            <ImageView
                android:id="@+id/down_btn"
                android:layout_width="28dp"
                android:layout_height="match_parent"
                android:layout_alignRight="@+id/reg_account_edit"
                android:layout_centerInParent="true"
                android:paddingRight="16dp"
                android:src="@mipmap/xinrui_arrow_normal" />


        </RelativeLayout>

        <RelativeLayout
            android:layout_width="270dp"
            android:layout_height="40dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="15dp">

            <EditText
                android:id="@+id/reg_pwd_edit"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_centerHorizontal="true"
                android:background="@drawable/xinrui_edittext_bg"
                android:digits="0123456789abcdefghijgklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
                android:drawableLeft="@mipmap/xinrui_pwd_icon"
                android:drawablePadding="10dp"
                android:gravity="center_vertical"
                android:hint="@string/xinrui_band_need_pwd"
                android:inputType="textPassword"
                android:maxLength="20"
                android:paddingLeft="10dp"
                android:textColorHint="@color/xinrui_deepgrey"
                android:textSize="16sp" />

            <ImageView
                android:id="@+id/iv_show_pwd"
                android:layout_width="30dp"
                android:layout_height="match_parent"
                android:layout_alignRight="@+id/reg_pwd_edit"
                android:layout_centerInParent="true"
                android:paddingRight="16dp"
                android:src="@mipmap/xinrui_eye_icon_normal" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/rl_2"
            android:layout_width="270dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="15dp">

            <Button
                android:id="@+id/reg_compete_btn"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_centerHorizontal="true"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/xinrui_radius_main_color_bg"
                android:gravity="center"
                android:text="@string/xinrui_login"
                android:textColor="@color/xinrui_white"
                android:textSize="16sp" />


            <Button
                android:id="@+id/btn_register"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_below="@+id/reg_compete_btn"
                android:layout_centerHorizontal="true"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="15dp"
                android:background="@drawable/xinrui_register_btn_bg"
                android:gravity="center"
                android:text="@string/xinrui_1s_register"
                android:textColor="@color/xinrui_color_purple"
                android:textSize="16sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/reg_tip_ll"
            android:layout_width="270dp"
            android:layout_height="35dp"
            android:layout_below="@id/rl_2"
            android:layout_gravity="center"
            android:gravity="center">

            <CheckBox
                android:id="@+id/cb_register"
                style="@style/xinrui_checkbox_style"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:checked="true"
                android:gravity="left|center" />

            <TextView
                android:id="@+id/tv_agree_tip"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="5dp"
                android:layout_toRightOf="@id/cb_register"
                android:gravity="center"
                android:text="@string/xinrui_agreement_tip"
                android:textColor="@color/xinrui_font_lightblack"
                android:textSize="11sp" />

            <TextView
                android:id="@+id/tv_tip"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_toRightOf="@id/tv_agree_tip"
                android:gravity="center"
                android:text="@string/xinrui_agree_register_tip"
                android:textColor="@color/xinrui_text_orange_color"
                android:textSize="11sp" />

            <TextView
                android:id="@+id/tv_and_tip"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_toRightOf="@id/tv_tip"
                android:gravity="center"
                android:text="@string/xinrui_and"
                android:textColor="@color/xinrui_black"
                android:textSize="11sp" />

            <TextView
                android:id="@+id/tv_private_policy"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_toRightOf="@id/tv_and_tip"
                android:gravity="center|left"
                android:text="@string/xinrui_private_policy"
                android:textColor="@color/xinrui_text_orange_color"
                android:textSize="11sp" />
        </RelativeLayout>
    </LinearLayout>


    <ListView
        android:layout_marginTop="105dp"
        android:layout_centerHorizontal="true"
        android:id="@+id/account_listview"
        android:layout_width="270dp"
        android:layout_height="160dp"
        android:divider="@null"
        android:visibility="gone"
        android:background="@drawable/xinrui_radius_blue_1dp"
        />

    <TextView
        android:id="@+id/list_text"
        android:layout_width="270dp"
        android:layout_height="40dp"
        android:gravity="center_vertical"
        android:layout_centerHorizontal="true"
        android:background="@drawable/xinrui_radius_white_1dp"
        android:paddingLeft="10dp"
        android:text="@string/xinrui_no_record"
        android:layout_marginTop="105dp"
        android:visibility="gone"
        android:textSize="15sp"
        android:textColor="@color/xinrui_checked_text_color"
        />
</RelativeLayout>
